<?php

/**
 * User defined box configuration of the "vector" DokuWiki template
 *
 * Create a "/user/boxes.php" file if you want to add/remove some sidebar boxes.
 * The template recognizes and loads the provided boxes data automatically.
 * You may want to rename this file from "boxes.php.dist" to "boxes.php"
 * to get a good starting point as it provides some examples. The comments of
 * the {@link _vector_renderBoxes()} (main.php) may be useful, too.
 *
 * Note: All example files are delivered with the ".dist" extensions to make
 *       sure your changes do not get overwritten when updating the template.
 *       Just remove the ".dist" extension to use them.
 *
 * Note: To change the non-box related config, use the admin webinterface of
 *       DokuWiki.
 *
 *
 * LICENSE: This file is open source software (OSS) and may be copied under
 *          certain conditions. See COPYING file for details or try to contact
 *          the author(s) of this file in doubt.
 *
 * @license GPLv2 (http://www.gnu.org/licenses/gpl2.html)
 * @author ARSAVA <dokuwiki@dev.arsava.com>
 * @link https://www.dokuwiki.org/template:vector
 * @link https://www.dokuwiki.org/devel:configuration
 */


//check if we are running within the DokuWiki environment
if (!defined("DOKU_INC")){
    die();
}


//note: The boxes will be rendered in the order they were defined. Means:
//      first box will be rendered first, last box will be rendered at last.

$_vector_boxes["example1"]["headline"] = "Hello World!";
$_vector_boxes["example1"]["xhtml"] = "Here you can add more funcionality!";



//examples: remove comments to see what is happening

/*
$_vector_boxes["example2"]["headline"] = "Some links";
$_vector_boxes["example2"]["xhtml"] =  "<ul>\n"
                                      ."  <li><a href=\"".wl(cleanID(getId()), array("do" => "backlink"))."\" rel=\"nofollow\">".hsc($lang["vector_toolbxdef_whatlinkshere"])."</a></li>\n" //we might use tpl_actionlink("backlink", "", "", hsc($lang["vector_toolbxdef_whatlinkshere"]), true), but it would be the only toolbox link where this is possible... therefor I don't use it to be consistent
                                      ."  <li><a href=\"http://www.example.com\">Example link</a></li>\n"
                                      ."  <li><a href=\"".wl(cleanID(getId()), array("rev" => 0, "vecdo" => "cite"))."\" rel=\"nofollow\">Cite newest version</a></li>\n"
                                      ."</ul>";
*/


/*
$_vector_boxes["example3"]["headline"] = "Buttons";
$_vector_boxes["example3"]["xhtml"] = "<a href=\"https://donate.arsava.com/dokuwiki-template-vector/\" title=\"Donate\" target=\"_blank\" rel=\"nofollow\"><img src=\"".DOKU_TPL."static/img/button-donate.gif\" width=\"80\" height=\"15\" alt=\"Donate\" border=\"0\" /></a>";
*/


/*
//include the content of another wiki page (you have to create it first, for
//sure. In this example, the page "wiki:your_page_here" is used)
$_vector_boxes["example4"]["headline"] = "wiki:your_page_here";
$_vector_boxes["example4"]["xhtml"] = tpl_include_page("wiki:your_page_here", false);
*/

