<?php

/**
 * User defined button configuration of the "vector" DokuWiki template
 *
 * Create a "/user/buttons.php" file if you want to add/remove some buttons.
 * The template recognizes and loads the provided button data automatically.
 * You may want to rename this file from "buttons.php.dist" to "buttons.php"
 * to get a good starting point as it provides some examples. The comments of
 * the {@link _vector_renderButtons()} (main.php) may be useful, too.
 *
 * Note: All example files are delivered with the ".dist" extensions to make
 *       sure your changes do not get overwritten when updating the template.
 *       Just remove the ".dist" extension to use them.
 *
 * Note: To change the non-button related config, use the admin webinterface of
 *       DokuWiki.
 *
 *
 * LICENSE: This file is open source software (OSS) and may be copied under
 *          certain conditions. See COPYING file for details or try to contact
 *          the author(s) of this file in doubt.
 *
 * @license GPLv2 (http://www.gnu.org/licenses/gpl2.html)
 * @author ARSAVA <dokuwiki@dev.arsava.com>
 * @link https://www.dokuwiki.org/template:vector
 * @link https://www.dokuwiki.org/devel:configuration
 */


//check if we are running within the DokuWiki environment
if (!defined("DOKU_INC")){
    die();
}


//note: The buttons will be rendered in the order they were defined. Means:
//      first button will be rendered first, last button will be rendered at
//      last.


//W3C CSS validator button
$_vector_btns["valid_css"]["img"]      = DOKU_TPL."static/img/button-css.png";
$_vector_btns["valid_css"]["href"]     = "http://jigsaw.w3.org/css-validator/check/referer";
$_vector_btns["valid_css"]["width"]    = 80;
$_vector_btns["valid_css"]["height"]   = 15;
$_vector_btns["valid_css"]["title"]    = "Valid CSS";
$_vector_btns["valid_css"]["nofollow"] = true;


//some examples: remove comments to see what is happening

/*
//button using all attributes
$_vector_btns["example1"]["img"]      = DOKU_TPL."user/img/yourButtonHere.png";
$_vector_btns["example1"]["href"]     = "http://www.example.com";
$_vector_btns["example1"]["width"]    = 80;
$_vector_btns["example1"]["height"]   = 15;
$_vector_btns["example1"]["title"]    = "Example button";
$_vector_btns["example1"]["nofollow"] = false;
*/


/*
//button using only mandatory attributes
$_vector_btns["example2"]["img"]      = DOKU_TPL."user/img/yourButtonHere.png";
$_vector_btns["example2"]["href"]     = "http://www.example.com";
*/
